Loading...
Searching...
No Matches
WDlist Class Reference

## Public Member Functions

void | set_score (float s)
void | set_question (const WQuestion &q)
void | set_best (const EST_String &t, int freq, int samples)
float | score () const
const EST_String & | token (void) const
const WQuestion & | question () const
EST_Val | predict (const WVector &w)

## Friends

WDlist * | add_to_dlist (WDlist *l, WDlist *a)
ostream & | operator<< (ostream &s, WDlist &d)

## Detailed Description

Definition at line 199 of file EST_Wagon.h.

## Constructor & Destructor Documentation

## WDlist()

WDlist::WDlist | ( |  | ) |

inline

Definition at line 208 of file EST_Wagon.h.

## ~WDlist()

WDlist::~WDlist | ( |  | ) |

inline

Definition at line 209 of file EST_Wagon.h.

## Member Function Documentation

## set_score()

void WDlist::set_score | ( | float | s | ) |

inline

Definition at line 210 of file EST_Wagon.h.

## set_question()

void WDlist::set_question | ( | const WQuestion & | q | ) |

inline

Definition at line 211 of file EST_Wagon.h.

## set_best()

void WDlist::set_best | ( | const EST_String & | t,
|  | int | freq,
|  | int | samples )

inline

Definition at line 212 of file EST_Wagon.h.

## score()

float WDlist::score | ( |  | ) | const

inline

Definition at line 214 of file EST_Wagon.h.

## token()

const EST_String & WDlist::token | ( | void |  | ) | const

inline

Definition at line 215 of file EST_Wagon.h.

## question()

const WQuestion & WDlist::question | ( |  | ) | const

inline

Definition at line 216 of file EST_Wagon.h.

## predict()

EST_Val WDlist::predict | ( | const WVector & | w | ) |

Definition at line 182 of file dlist.cc.

## Friends And Related Symbol Documentation

## add_to_dlist

WDlist * add_to_dlist | ( | WDlist * | l,
|  | WDlist * | a )

friend

Definition at line 192 of file dlist.cc.

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | WDlist & | d )

friend

Definition at line 221 of file dlist.cc.

The documentation for this class was generated from the following files:

- include/EST_Wagon.h
- stats/wagon/dlist.cc